import {LitElement, html} from 'lit';
import {unsafeHTML} from 'lit/directives/unsafe-html.js';

export class RhodecodeUnsafeHtml extends LitElement {
  static properties = {
    text: {type: String}
  };

  constructor() {
    super();
    this.text = '';
  }

  render() {
    return html`${unsafeHTML(this.text)}`;
  }
}

customElements.define('rhodecode-unsafe-html', RhodecodeUnsafeHtml);
